package edu.jhmi.telometer.bean;

import edu.jhmi.telometer.controller.ScoreController;
import ij.ImagePlus;

public enum ImageType {
    CY3, //the original cy3 image (and after it's normalized)
    DAPI,//the original dapi image (and after it's normalized)
    MASKED_CY3, //the cy3 image after we've done the rolling ball and then thresholding
    COMBINED, //the cy3 image with everything zero'ed out except what's in the maskedCy3 and in the circled nucleii on the DAPI
    ANNOTATED //an image plus that labels all the user circled spots with helpful text

}
