package edu.jhmi.telometer.repo;


import edu.jhmi.telometer.bean.Preset;
import edu.jhmi.telometer.bean.Project;
import edu.jhmi.telometer.bean.Scoring;
import edu.jhmi.telometer.interfce.Named;
import edu.jhmi.telometer.interfce.Tagged;

import java.util.List;
import java.util.Optional;
import java.util.Set;

public interface ScoringRepo extends LookupRepo<Scoring> {



    Scoring findById(long id);
    List<Scoring> findScoringsByProject(Project project);
    List<Scoring> findScoringsByPreset(Preset preset);
    List<Scoring> findScoringsByProjectIn(Set<Project> projects);

}