package edu.jhmi.telometer.service.api;


import edu.jhmi.telometer.interfce.Named;

import java.util.List;

public interface AdminService {

    <T extends Named> List<T> findAllItems(Class<T> clazz);
    <T> T alterItem(T t);
    <T> boolean isReferenced(T t);

    <T extends Named> Long idWithName(Class<T> clazz, String name);
    <T> void deleteItem(T t);
    void deleteScoring(int scoredImageId);
    boolean scoringIdExists(int scoringId);

}
