package edu.jhmi.telometer.bean;

public enum StepMode {
    DEBUG, //goes through every step individually -- great for debugging
    USER, //setting when we deploy; what the end-user will get -- skips unneeded steps
    AUTO; //goes through every step automatically -- great for testing to get to a needed area quickly

    public boolean notDebug() {
        return this != DEBUG;
    }

    public boolean isAuto() {
        return this == AUTO;
    }
}
