package edu.jhmi.telometer.calc.api;

import edu.jhmi.telometer.bean.Mask;
import ij.gui.Roi;

import java.util.Set;

public interface MaskRoiUtil {

    /** If the user uses a rectangle to draw the mask, the roi only has a boundedRect
     * as a mask.  But if free hand tool is used, we must will get a boundedRect
     * with some areas marked out.
     */
    Mask roiToMask(Roi roi);

    /** Combines the imagePlus rois into one large mask */
    Mask roisToMask(Set<Roi> rois);
}
