package edu.jhmi.telometer.service.api;

import edu.jhmi.telometer.bean.Cell;
import edu.jhmi.telometer.bean.Project;
import edu.jhmi.telometer.bean.Scoring;
import edu.jhmi.telometer.bean.Telomere;

import java.util.List;
import java.util.Set;

public interface TableService {

    List<Project> findAllProjects();
    List<Scoring> findAllScorings();
    List<Scoring> findScoringsByProjects(Set<Project> projects);
    List<Cell> findCellsInScorings(Set<Scoring> scorings);
    List<Telomere> findTelomeresInCells(Set<Cell> cells);



}
