package edu.jhmi.telometer.util;

import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import javax.swing.JLabel;

@Data
@Builder
public class SuperLabel {

    private JLabel label;
    private JLabel value;

    @Tolerate
    public SuperLabel(){

    }

    public static SuperLabel create(String text){
        SuperLabel superLabel = new SuperLabel();
        superLabel.label = new JLabel(text);
        superLabel.value = new JLabel("---------------");
        return superLabel;
    }
}
