# Welcome to Telometer

 <img align="right" alt="telomeres" src="images/telomeres.jpg" />

 
Welcome to the wide wonderful world of telomere length quantification through image analysis!

Telometer is used for quantifying telomere (or other FISH) signals from 
uncompressed gray scale TIFF images.
 
You will also need a matched pair of TIFF images, one with your FISH signals, 
one with images of the cell nuclei (we use the DNA-binding dye DAPI for this purpose).
You can download some samples on the [download](download.html) page.

While this plugin was originally designed for extracting quantitative information from 
FISH images of telomeric DNA in interphase nuclei,
it has also been applied to FISH images using a pan-centromeric probe, 
and should be generally applicable to FISH images where the amount of target is of interest 
and is related either to the signal intensity or the number of signals.

Telometer is [open source](licenses.html) and was created by the Johns Hopkins University.
Telometer uses [ImageJ](https://imagej.nih.gov/ij/index.html) as a library, 
which was created by the NIH and is also open source. 
  

 